List block entries

Returns block entries, newest first, optionally filtered by block type and active state.

GET
/v1/email/blocks

Returns block entries, newest first, optionally filtered by block type and active state. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Query Parameters

blockType?|null
isActive?string|null
limit?string|null
cursor?CursorEncoded|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/email/blocks"
{  "items": [    {      "id": "string",      "blockType": "email",      "blockValue": "string",      "reason": "string",      "notes": "string",      "isActive": true,      "blockCount": 0,      "lastBlockedAt": "string",      "expiresAt": "string",      "createdAt": "string"    }  ],  "nextCursor": "string"}

Related documentation